<?php
require 'mysql_.php';
require_once "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
date_default_timezone_set('America/Sao_Paulo');

$argsGet = array(
    'id_ponto' => array(
        'filter' => FILTER_VALIDATE_INT
    ),
    'user_id' => array(
        'filter' => FILTER_VALIDATE_INT
    )
);
$argsPost = array(
    'username' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'nome' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'id_ponto' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'user_id' => array(
        'filter' => FILTER_VALIDATE_INT
    ),
    'password' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'password2' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);

$inputGET = filter_input_array(INPUT_GET, $argsGet);
$inputPOSTjogadores = filter_input_array(INPUT_POST, $argsPost);

try {
    if ($inputPOSTjogadores) {
        if ($inputPOSTjogadores['password'] != $inputPOSTjogadores['password2']) {
            echo json_encode(array('success' => 0, 'msg' => 'Senhas digitadas estão diferentes!'));
        } else {
            $inputPOSTjogadores['password'] = FUNCOES::cryptografar($inputPOSTjogadores['password']);
            unset($inputPOSTjogadores['password2']);
            $args = " j.username='" . $inputPOSTjogadores['username'] . "'";
            $jogador = jogadorDAO::getJogadores($args, false);

            if (empty($jogador)) {
                $ponto = pontoDAO::getPonto($inputPOSTjogadores['id_ponto'], " AND status = 1 AND id_apoio=" . $inputPOSTjogadores['user_id']);
                if (empty($ponto)) {
                    echo json_encode(array('success' => 0, 'msg' => 'Ponto ou usuário inexistente!!'));
                    exit;
                }
                jogadorDAO::salvar($inputPOSTjogadores, 'jogador');
                echo json_encode(array('success' => 1, 'msg' => 'Cadastro realizado com sucesso!'));
            } else {
                echo json_encode(array('success' => 0, 'msg' => 'Username já existente!!'));
            }
        }
        if (FUNCOES::isAjax()) {
            exit();
        }
    } else {
        if (empty($inputGET['id_ponto']) || empty($inputGET['user_id'])) {
            exit;
        }
        $ponto = pontoDAO::getPonto($inputGET['id_ponto'], " AND status = 1 AND id_apoio=" . $inputGET['user_id']);
    }
} catch (Exception $err) {
    echo json_encode(array('success' => 0, 'msg' => $err->getMessage()));
    exit;
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <link rel="shortcut icon" href="img/logo.ico" type="image/x-icon" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Cadastro</title>
        <!-- Core CSS - Include with every page -->

        <link href="css/bootstrap2.css" rel="stylesheet">
        <link href="font-awesome/css/font-awesome.css" rel="stylesheet">

        <!-- SB Admin CSS - Include with every page -->
        <link href="css/sb-admin-2.css" rel="stylesheet">

        <link rel="shortcut icon" href="img/logo.ico" type="image/x-icon" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
        <link href="css/bootstrap2.css" rel="stylesheet">
        <link href="font-awesome/css/font-awesome.css" rel="stylesheet">
        <link href="css/toastr.min.css" rel="stylesheet" type="text/css" />
        <link href="css/sb-admin-2.css" rel="stylesheet">
        <style>
            #loading-indicator {
                position: absolute;
                left: 50%;
                top: 50%;
                width: 64px;
                height: 64px;
                margin-left: -32px;
                margin-top: -32px;
                border: 0;
                z-index: 6000;
            }	
        </style>
    </head>
    <body>
        <div class="container">

            <div class="col-md-6 col-md-offset-3">

                <div class="login-panel panel panel-default">
                    <div id="alerta">
                        <?php
                        if (empty($ponto)) {
                            ?>
                            <div class="alert alert-danger fade in" role="alert">
                                <?php echo 'Parametros não correspondem'; ?>
                            </div>
                            <?php
                        }
                        ?>
                        <div id="sucesso_jogador" class="alert alert-success fade in" role="alert" style="display: none" >
                             <?php echo '<b>Cadastro efetuado com sucesso!! Faça o download do jogo !!</b>'; ?>
                       </div>
                    </div>
                    <div class="panel-heading" id="panel-cadastro">
                        <h3 class="panel-title">Cadastro Jogador</h3>
                    </div>
                    <form role="form" name="frmNewJogador" action="#" id="frmNewJogador" method="POST">
                        <div class="modal-body" id="jogador-body">                
                            <div class="form-group input-group">
                                <input type="hidden" class="" name="crud" value="jogadores">
                                <input type="hidden" class="id_ponto" name="id_ponto" value="<?= $inputGET['id_ponto'] ?>">
                                <input type="hidden" class="user_id" name="user_id" value="<?= $inputGET['user_id'] ?>">
                            </div> 
                            <div class="form-group input-group">
                                <span class="input-group-addon"><i class="fa fa-user fa-fw"></i></span>
                                <input type="text" class="form-control nome" name="nome" placeholder="nome" required>
                            </div>
                            <div class="form-group input-group">
                                <span class="input-group-addon"><i class="fa fa-user fa-fw"></i></span>
                                <input type="text" class="form-control username" name="username" placeholder="Username" required>
                            </div>
                            <div class="form-group input-group">
                                <span class="input-group-addon"><i class="fa fa-info-circle fa-fw"></i></span>
                                <input type="text" class="form-control" value="<?= $ponto['nome'] ?>" placeholder="" disabled="">
                            </div>

                            <div class="form-group input-group">
                                <span class="input-group-addon"><i class="fa fa-lock fa-fw"></i></span>
                                <input type="password" class="form-control" name="password" placeholder="Senha" required >
                            </div>
                            <div class="form-group input-group">
                                <span class="input-group-addon"><i class="fa fa-lock fa-fw"></i></span>
                                <input type="password" class="form-control"  name="password2" placeholder="Confirmar Senha" required>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" id="btnCancelEditClient" data-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-primary" id="btnSalvarNewClient" >Salvar</button>                
                        </div>
                    </form>
                    <div class="modal-footer"  style="display:none; text-align: center" id="btnDownload" >
                        <a type="button" href="download_apk.php?file=update/<?= APK?>" class="btn btn-success" >Download</a> 
                    </div>
                </div>
            </div>
        </div>
        <script src="js/ajax.js"></script>
        <script src="js/jquery-2.1.1.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/plugins/metisMenu/jquery.metisMenu.js"></script>

        <script src="js/sb-admin-2.js"></script>

        <script src="js/jquery.blockUI.js"></script>

        <script src="js/toastr.min.js"></script>	

        <script src="js/jquery.mixitup.min.js"></script>

        <script>
            $(document).ready(function () {
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-top-full-width",
                    "preventDuplicates": false,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut"
                };
            });
            $('#frmNewJogador').on('submit', function (ev) {
                ev.preventDefault();
                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    data: $("#frmNewJogador").serialize(),
                    beforeSend: function () {
                        $('#btnSalvarNewClient').attr('disabled', true);
                        $('#btnCancelEditClient').attr('disabled', true);
                        $.blockUI({
                            message: $("#loading-indicator"),
                            css: {
                                border: 'none',
                                padding: '15px',
                                background: '',
                                // opacity: 0.8, 
                                color: '#fff'
                            }
                        });
                    },
                    complete: function () {
                        $('#btnSalvarNewClient').attr('disabled', false);
                        $('#btnCancelEditClient').attr('disabled', false);

                        setTimeout($.unblockUI, 500);
                    },
                    success: function (data) {

                        if (data.success) {
                            var priority = 'success';
                            $('form[name="frmNewJogador"]')[0].reset();
                            $('form[name="frmNewJogador"] .id').val("");
                            $('.modal').modal('hide'); //fechar o modal
                            $('#frmNewJogador').hide("");
                            $('#panel-cadastro').hide("");
                            $('#sucesso_jogador').show();
                            $('#btnDownload').show(); //fechar o modal
                        } else {
                            var priority = 'error';
                        }
                        toastr[priority](data.msg);
                    }
                });
            });
        </script>
        <div class="loader" id="loading-indicator" style="display:none" ><iframe src="loading/loading.php" width="80" height="100" scrolling="no"  frameborder="0" allowtransparency="true">   </iframe></div>
    </body>

</html>

