<?php

$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}

include 'c_leitura.php';
session_start();
$nivel_necessario = 1;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
// Destrói a sessão por segurança
    session_destroy();
// Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
require_once("db.php");

$argsPost = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);

$inputPOST = filter_input_array(INPUT_POST, $argsPost);
$id = $inputPOST['id'];
try {
    if ($_SESSION['UsuarioNivel'] == 1) {
        $virtual = tablet_virtualDAO::getLeituraInfoVirtual($id);
        if ($virtual['status'] == 0) {
            tablet_virtualDAO::deletar($id);
        } else {
            echo json_encode(array('success' => 0, 'msg' => "Tablet Virtual em USO"));
            exit;
        }
    } elseif ($_SESSION['UsuarioNivel'] == 3) {
        $data = array();
        $data['ativo'] = 0;
        $data['status'] = 0;
        $data['ligado'] = 0;
        tablet_virtualDAO::salvar($data, 'tablet_virtual', $id);
    }
    echo json_encode(array('success' => 1, 'msg' => 'Tablet Virtual deletado com sucesso!'));
} catch (Exception $err) {
    FUNCOES::logMsg($err->getMessage(), 'error', 'logs/error/error_' . date("Y-m-d") . '.log');
    echo json_encode(array('success' => 0, 'msg' => "Erro ao deletar o Tablet Virtual! <br>" . $err->getMessage()));
}
// header('Location: tablets.php');
exit;
