<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

session_start();

$nivel_necessario = 4;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
    // Destrói a sessão por segurança
    session_destroy();
    // Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
register_shutdown_function('FUNCOES::fatalErrorHandler');
require_once("db.php");

$argsGet = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputGET = filter_input_array(INPUT_GET, $argsGet);

if (!empty($inputGET['id'])) {

    $id = $inputGET['id'];
     $query = mysql_query("SELECT ponto.id id,ponto.nome nome
                            FROM ponto, user a 
                            WHERE  ponto.id = a.id_apoio 
                            AND a.id = " . $_SESSION['UsuarioID'] . " 
                            AND ponto.status = 1 
                            ORDER BY id DESC");
    $row = pontoDAO::getPonto($id);
    $nomeqrcode = FUNCOES::removerAcentosArquivos($row['nome']);
    ?>
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Detalhamento do Ponto</h4>
    </div>								
    <div class="modal-body"> 
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    <div id='leiturainfo<?= $id ?>' class="col-lg-12">

                    </div>
                </div>
                <?php if(file_exists("img/qrcode/qrcode_ponto_".$nomeqrcode.".png")) { ?>
                 <div class="row">
                    <div  class="col-lg-4">
                        <img src="img/qrcode/qrcode_ponto_<?= $nomeqrcode?>.png" width="262" height="262">
                    </div>
                     <div  class="col-lg-3" style="margin-top: 18px">
                         <a href="download_apk.php?file=img/qrcode/qrcode_ponto_<?= $nomeqrcode?>.png" ><i class='fa fa-download fa-fw'></i> Download</a>
                    </div>
                </div>
                <?php }?>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-primary" id="btnSalvarNewClient" >Salvar</button>                
    </div>	
    <script>
        var podeZerarLeituraVirtual = false;
        var auto_refresh;
        update();
        $('.close').click(function () {
            clearInterval(auto_refresh);
        });

        $('[id^="myModalDetalhesTabletVirtual"]').on('shown.bs.modal', function (e) {
            
            auto_refresh = setInterval(function () {
                update();
            }, 5000);
        })

        $('div[id^="myModalDetalhesTabletVirtual"]').on('hide.bs.modal', function () {
            clearInterval(auto_refresh);
        });
        function update()
        {
            console.log("Update");
            $('#leiturainfo<?= $id ?>').load('leiturainfoVirtualPonto.php', {'id': '<?php echo $id ?>'}, function ()
            {
                console.log("Load");
//                $.unblockUI();
            }).fadeIn("slow");
        }
    </script>
    <?php
}
?>