<?php
session_start();

$nivel_necessario = 6;
$id_user = $_SESSION['UsuarioID'];

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
// Destrói a sessão por segurança
    session_destroy();
// Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
require_once("db.php");
$url = FUNCOES::getChangelogUrl();
$argsGet = array(
    'edit' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputGET = filter_input_array(INPUT_GET, $argsGet);

$ponto = pontoDAO::getPonto($inputGET['edit']);
$virtual_config = json_decode($ponto['virtual_config']);

if (!empty($inputGET['edit'])) {
    $editar = $inputGET['edit'];
    $virtual_config_porta = FUNCOES::exec_curl($url . GETACUMULADOS.'?id='.$editar);
 
    ?>
    <div class="modal-body"> 	
        <div class="row">
            <div class="col-lg-12 center-block">			
                <div class="panel panel-default ">					
                    <div class="panel-body">
                        <div class="col-lg-4 center-block">
                            <div class="form-group input-group">
                                <span class="input-group-addon">Ponto  &nbsp;  &nbsp;  &nbsp; &nbsp; </span>
                                <input type="text" class="form-control" id="idprod" name="idprod"  <?php echo "value='" . $ponto['nome'] . "'" ?> READONLY  >
                                <input type="hidden"  name="idponto"  <?php echo "value='" . $inputGET['edit'] . "'" ?>>
                            </div>


                            <div class="form-group input-group">
                                <span class="input-group-addon">Centavos p/ Bingo</span>
                                <select name="centavosbingo" id="centavosbingo" class="form-control">
                                    <?php
                                    //Centavos para Bingo (1, 10, 25)
                                    $selected25 = "";
                                    $selected10 = "";
                                    $selected1 = "";
                                    switch ($virtual_config->centavosbingo) {
                                        case '1':
                                            $selected1 = " selected";
                                            break;
                                        case '10':
                                            $selected10 = " selected";
                                            break;
                                        case '25':
                                            $selected25 = " selected";
                                            break;
                                        default:
                                            $selected1 = " selected";
                                            break;
                                    }
                                    ?>
                                    <option value ='1' <?php echo $selected1; ?>>1</option>
                                    <option value ='10' <?php echo $selected10; ?>>10</option>
                                    <option value ='25' <?php echo $selected25; ?>>25</option>									
                                </select>
                            </div>

                            <?php
                            if ($_SESSION['UsuarioNivel'] == 1) {
                                $disabled = "";
                            } elseif ($_SESSION['UsuarioNivel'] == 3 || $_SESSION['UsuarioNivel'] == 4) {
                                $disabled = ' disabled=""';
                            }
                            
                            if ($virtual_config->matematica_slot == 0){
                                $display_dificuldade = ' none';
                                $display_modo = ' table';
                            }else{
                                $display_dificuldade = ' table';
                                $display_modo = ' none';
                            }
                            ?>


                        </div>
                        <div class="col-lg-4 center-block">

                            <div class="form-group input-group">
                                <span class="input-group-addon">Matemática Slot</span>
                                <select name="matematicaSlot" class="form-control matematicaSlot" <?= $disabled ?>>
                                    <option value = "0" <?php echo $virtual_config->matematica_slot == 0 ? ' selected' : ""; ?> >Nova</option>
                                    <option value = "1" <?php echo $virtual_config->matematica_slot == 1 ? ' selected' : ""; ?> >Antiga</option>
                                </select>
                            </div>

                            <?php if ($_SESSION['UsuarioNivel'] == 3 || $_SESSION['UsuarioNivel'] == 4) { ?>
                                <div class="form-group input-group" style="display: <?= $display_dificuldade?>">
                                    <span class="input-group-addon">Dificuldade</span>
                                    <select name="dificuldade" id="" class="form-control dificuldadeTablet">
                                        <option value ='50' <?php echo $virtual_config->dificuldade == 50 ? ' selected' : ""; ?> >50</option>
                                        <option value ='55' <?php echo $virtual_config->dificuldade == 55 ? ' selected' : ""; ?> >55</option>
                                        <option value ='60' <?php echo $virtual_config->dificuldade == 60 ? ' selected' : ""; ?> >60</option>								
                                        <option value ='65' <?php echo $virtual_config->dificuldade == 65 ? ' selected' : ""; ?> >65</option>
                                        <option value ='70' <?php echo $virtual_config->dificuldade == 70 ? ' selected' : ""; ?> >70</option>
                                        <option value ='75' <?php echo $virtual_config->dificuldade == 75 ? ' selected' : ""; ?> >75</option>
                                    </select>
                                </div>
                            <?php } else { ?> 
                                <div class="form-group input-group" id="" style="display: <?= $display_dificuldade?>">
                                    <span class="input-group-addon">Dificuldade</span>
                                    <input type="number" min="35" max="95" class="form-control dificuldadeTablet" name="dificuldade" id="" placeholder="Dificuldade" <?php echo "value='" . $virtual_config->dificuldade . "'" ?>>
                                </div>
                            <?php } ?> 
                            
                            <?php if ($_SESSION['UsuarioNivel'] == 1) { ?>
                            <div class="form-group input-group" style="display: <?= $display_modo?>">
                                <span class="input-group-addon">Modo</span>
                                <select name="modo"  class="form-control modoTablet">
                                        <option value ='1' <?php echo $ponto['modo'] == 1 ? ' selected' : ""; ?> >1</option>
                                        <option value ='2' <?php echo $ponto['modo'] == 2 ? ' selected' : ""; ?> >2</option>
                                        <option value ='3' <?php echo $ponto['modo'] == 3 ? ' selected' : ""; ?> >3</option>								
                                        <option value ='4' <?php echo $ponto['modo'] == 4 ? ' selected' : ""; ?> >4</option>
                                </select>
			   </div>
                            <?php } ?>

                        </div>
                        <?php
                        //}
                        ?>      

                        <div class="col-lg-4 center-block">
                            <div class="form-group input-group">    
                                <span class="input-group-addon">% Acumulado </span>
                                <input type="number" step="any" min="1" max="3"  class="form-control" name="porcent_acumu" placeholder="Porcentagem Acumulado" <?php echo "value='" . $virtual_config->porcent_acumu . "'" ?>  required >
                            </div>


                            <div class="form-group input-group">
                                <span class="input-group-addon">Cred. por Teclado?</span>

                                <select name="creditoteclado" id="creditoteclado" class="form-control">
                                    <?php
                                    if (($virtual_config->creditoteclado) == 0) {
                                        echo "<option value ='0'selected >Não</option>
										<option value ='1' >Sim</option>";
                                    }
                                    if ($virtual_config->creditoteclado == 1) {
                                        echo "<option value ='1' selected >Sim</option>
										<option value ='0' >Não</option>";
                                    }
                                    ?>
                                </select>
                            </div>

                        </div>


                    </div>
                </div>

                <div class="panel panel-default ">					
                    <div class="panel-body" style="background-color: #CCCCCC" >
                        <div class="col-lg-12 center-block">   
                            <div class="panel-group" id="accordion">
                                <div class="row"> 
                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h1 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Acumulado 1 (4 MAG)</a>
                                                </h1>
                                            </div>
                                            <div id="collapseOne" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum4min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum4min . "'" ?> required>
                                                    </div>
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum4med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum4) ? $virtual_config_porta->acum4 : ''  ?>"  required>
                                                    </div>
                                                   
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum4max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum4max . "'" ?> required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h1 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">Acumulado 2 (4 ABO)</a>
                                                </h1>
                                            </div>
                                            <div id="collapseTwo" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum1min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum1min . "'" ?>  required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum1med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum1) ? $virtual_config_porta->acum1 : ''  ?>" required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum1max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum1max . "'" ?>  required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseThree">Acumulado 3 (5 CAP)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseThree" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum2min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum2min . "'" ?> required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum2med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum2) ? $virtual_config_porta->acum2 : ''  ?>" required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum2max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum2max . "'" ?> required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 center-block">   
                            <div class="panel-group" id="accordion">
                                <div class="row"> 
                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseFour">Acumulado 4 (5 ABO)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseFour" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum3min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum3min . "'" ?> required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum3med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum3) ? $virtual_config_porta->acum3 : ''  ?>" required>
                                                    </div>
                                                   
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum3max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum3max . "'" ?> required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseFive">Acumulado 5 (Jackpot)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseFive" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum5min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum5min . "'" ?>  required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum5med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum5) ? $virtual_config_porta->acum5 : ''  ?>" readonly="true" >
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum5max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum5max . "'" ?>   required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-4 center-block"> 
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h5 class="panel-title">
                                                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseSix">Acumulado 6 (Bingo)</a>
                                                </h5>
                                            </div>
                                            <div id="collapseSix" class="panel-collapse collapse in">
                                                <div class="panel-body">
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Inicial &nbsp  </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001"  class="form-control" name="acum6min" placeholder="Inicial" <?php echo "value='" . $virtual_config->acum6min . "'" ?> required >
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Atual &nbsp &nbsp </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum6med" placeholder="Atual" value="<?= isset($virtual_config_porta->acum6) ? $virtual_config_porta->acum6 : ''  ?>" required>
                                                    </div>
                                                    
                                                    <div class="form-group input-group">    
                                                        <span class="input-group-addon">Máximo </span>
                                                        <input type="number" min="1" max="10000" step=".00000000001" class="form-control" name="acum6max" placeholder="Máximo" <?php echo "value='" . $virtual_config->acum6max . "'" ?> required >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- .panel-body -->
                    </div>
                </div>			
            </div>
        </div>	
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button type="submit" class="btn btn-primary btnSalvarEditTablet" >Salvar</button>
        </div>
    </div>	
    <script>
        $(document).ready(function () {

            atualizarMatematicaSlot();

    <?php if ($_SESSION['UsuarioNivel'] == 3) { ?>
                // dificuldadeTablet
                //$("#dificuldadeTablet").attr({
                //	"max" : 70 // Limitar ao Cliente a configuração de retenção em 70%
                //});			
        <?php
    }
    ?>

            $(".dificuldadeTablet").change(function () {

                var max = parseInt($(this).attr('max'));
                var min = parseInt($(this).attr('min'));

                if ($(this).val() > max) {
                    $(this).val(max);
                } else if ($(this).val() < min) {
                    $(this).val(min);
                }
            });

            $(".matematicaSlot").change(function () {
                var value = jQuery(this).val();
                atualizarMatematicaSlot(value);
            });
        });

        function atualizarMatematicaSlot(value)
        {
            var matematica = value;
            if (matematica == 0) // Nova
            {
                $(".dificuldadeTablet").parent().hide();
                $(".modoTablet").parent().show();
            } else if (matematica == 1) // Antiga
            {
                $(".dificuldadeTablet").parent().show();
                $(".modoTablet").parent().hide();
            }
        }
    </script>	
    <!-- /.col-lg-4 -->
    <?php
}
?>      