<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
require_once ('db.php');

$argsPost = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputPOST = filter_input_array(INPUT_POST, $argsPost);

if (!empty($inputPOST['id'])) {

    $id = $inputPOST['id'];
    $row = tablet_virtualDAO::getLeituraInfoVirtual($id);
    $database = json_decode($row['database']);
    ?>

    <div class="panel panel-default">
        <div class="panel-heading">
            Informações sobre Total da Leitura
        </div>
        <!-- /.panel-heading -->
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table ">
                    <thead>
                        <tr>
                            <th class=" text-muted text-center"><h4>Tipo</h4></th>
                            <th class=" text-success text-center"><h4>Entrada</h4></th>
                            <th class=" text-danger text-center"><h4>Saída</h4></th>
                            <th class=" text-info text-center"><h4>Balanço</h4></th>
                            <th class=" text-info text-center"><h4>% Pgto</h4></th>
                        </tr>
                    </thead>
                    <div id='leiturainfo<?= $id ?>'>
                        <tbody>
                            <tr>
                                <td class=" text-muted text-center"><h4><b><?= 'Oficial' ?></b></h4></td>
                                <td class=" text-success text-center"><h4>$ <?php echo ($database->global->entrada / 100) ?></h4></td>
                                <td class=" text-danger text-center"><h4>$ <?php echo ($database->global->saida / 100) ?></h4></td>
                                <td class=" text-info text-center"><h4>$ <?php echo (($database->global->entrada - $database->global->saida)/100) ?></h4></td>
                                <td class=" text-info text-center"><h4> <?php echo round(($database->global->saida / $database->global->entrada) * 100, 2) . '%' ?></h4></td>
                            </tr>

                            <tr>
                                <td class=" text-muted text-center"><h4><b><?= 'Parcial' ?></b></h4></td>
                                <td class=" text-success text-center"><h4>$ <?php echo ($database->global->entradaVirtual / 100)?></h4></td>
                                <td class=" text-danger text-center"><h4>$ <?php echo ($database->global->saidaVirtual/100)  ?></h4></td>
                                <td class=" text-info text-center"><h4>$ <?php echo (($database->global->entradaVirtual - $database->global->saidaVirtual)/100)  ?> </h4></td>
                                <td class=" text-info text-center"><h4> <?php echo round(($database->global->saidaVirtual / $database->global->entradaVirtual * 100), 2) . '%' ?></h4></td>
                            </tr>
							
			    <tr>
                                <td class=" text-muted text-center"><h4><b><?= 'Rejogo' ?></b></h4></td>
                                <td class=" text-success text-center"><h4>$ <?php echo $database->global->tvm->apostado / 100 ?></h4></td>
                                <td class=" text-danger text-center"><h4>$ <?php echo $database->global->tvm->premiado / 100 ?></h4></td>
                                <td class=" text-info text-center"><h4>$ <?php echo ($database->global->tvm->apostado - $database->global->tvm->premiado) / 100 ?> </h4></td>
                                <td class=" text-info text-center"><h4> <?php echo round(($database->global->tvm->premiado / $database->global->tvm->apostado * 100), 2) . '%' ?></h4></td>
                            </tr>
                        </tbody>
                    </div>
                </table>
                <?php if ($_SESSION['UsuarioNivel'] != 6) { ?>
                    <div class="text-right">
                        <a href="javascript:void(0)" onclick="" id='' class='btn btn-danger' role='button'>ZERAR LEITURA VIRTUAL &nbsp;</a>
                    </div>
                <?php } ?>
            </div>
            <!-- /.table-responsive -->
        </div>
        <!-- /.panel-body -->
    </div>
    <!-- /.panel -->        
    <?php
}
?>